Bug 192054 - libpurple fails to buid - packlist error
Summary: libpurple fails to buid - packlist error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-23 06:36 UTC by Jordan Irwin
Modified: 2014-12-19 23:27 UTC (History)
1 user (show)

See Also:


Attachments
Output of compiler/linker for libpurple (40.39 KB, text/plain)
2014-07-23 06:36 UTC, Jordan Irwin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jordan Irwin 2014-07-23 06:36:01 UTC
Created attachment 144900 [details]
Output of compiler/linker for libpurple

This error is not familiar to me at all. When trying to build pidgin/libpurple compilation fails with the following output:

Error: 'lib/purple-2/perl/auto/Purple/.packlist' is referring to /usr/ports/net-im/libpurple/work/stage

I'm not sure what the problem is. The full output is attached along.

This is the content of the packlist file:

/usr/ports/net-im/libpurple/work/stage/usr/local/lib/purple-2/perl/Purple.pm
/usr/ports/net-im/libpurple/work/stage/usr/local/lib/purple-2/perl/auto/Purple/Purple.bs
/usr/ports/net-im/libpurple/work/stage/usr/local/lib/purple-2/perl/auto/Purple/Purple.so
/usr/ports/net-im/libpurple/work/stage/usr/local/lib/purple-2/perl/auto/Purple/autosplit.ix
/usr/ports/net-im/libpurple/work/stage/usr/local/man/man3/Purple.3
Comment 1 Joe Marcus Clarke freebsd_committer 2014-07-28 06:41:02 UTC
On what version of FreeBSD is this?
Comment 2 Jordan Irwin 2014-07-28 11:04:04 UTC
10.0 x86-64

$ uname -a
FreeBSD FreeBSD 10.0-RELEASE FreeBSD 10.0-RELEASE #0 r260789:
Thu Jan 16 22:34:59 UTC 2014
root@snap.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64
Comment 3 Joe Marcus Clarke freebsd_committer 2014-08-02 05:48:29 UTC
Should be fixed now.  Thanks for reporting.
Comment 4 commit-hook freebsd_committer 2014-08-02 05:48:29 UTC
A commit references this bug:

Author: marcus
Date: Sat Aug  2 05:48:00 UTC 2014
New revision: 363787
URL: http://svnweb.freebsd.org/changeset/ports/363787

Log:
  Adapt the fixpacklist Perl hack to work with libpurple.

  PR:		192054

Changes:
  head/net-im/libpurple/Makefile
Comment 5 Jordan Irwin 2014-08-10 02:42:11 UTC
Thanks, it's working.
Comment 6 Jordan Irwin 2014-12-19 21:38:34 UTC
This error is coming up again when trying to build and install net-im/libpurple or net-im/pidgin. I have just upgraded to FreeBSD 10.1:

$ uname -a
FreeBSD FreeBSD 10.1-RELEASE FreeBSD 10.1-RELEASE #0 r274401: Tue Nov 11 21:02:49 UTC 2014     root@releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

I am trying to install libpurple 2.10.11:

$ pkg search libpurple
libpurple-2.10.11

Error: 'lib/purple-2/perl/auto/Purple/.packlist' is referring to /usr/ports/net-im/libpurple/work/stage
Warning: 'lib/purple-2/perl/auto/Purple/Purple.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}

I think the "Warning" is unrelated but "INSTALL_TARGET=install-strip" is already in the Makefile.
Comment 7 Joe Marcus Clarke freebsd_committer 2014-12-19 23:27:14 UTC
Should be fixed now.
Comment 8 commit-hook freebsd_committer 2014-12-19 23:27:51 UTC
A commit references this bug:

Author: marcus
Date: Fri Dec 19 23:26:48 UTC 2014
New revision: 374983
URL: https://svnweb.freebsd.org/changeset/ports/374983

Log:
  Put back the local perl hack for .packlist to fix make stage.

  PR:		192054

Changes:
  head/net-im/libpurple/Makefile